[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# EInvalidEditMask

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception type raised for an invalid mask value in an edit mask.

## Declaration

Source position: maskedit.pp line 153

`type EInvalidEditMask = class(EDBEditError)`

## Inheritance

`EInvalidEditMask` |  | Exception type raised for an invalid mask value in an edit mask.
`EDBEditError` |  | Exception class raised for an error in a masked edit control.
`Exception`
?
`TObject`

## Description

Indicates that the content in EditMask is not a valid edit mask expression. Raised when a value is assigned to the EditMask property. Generally indicates that an invalid set declaration has been used in the edit mask.

## See also

TCustomMaskEdit.EditMask |  | Contains the mask characters classes and literals used to format/obscure the value for the control.